Bug 141255 - rhn_register give ugly traceback instead of nice error
rhn_register give ugly traceback instead of nice error
Status: CLOSED WONTFIX
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Registration (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Justin Sherrill
Brandon Perkins
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-29 16:16 EST by Max Spevack
Modified: 2009-03-24 14:07 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-24 14:07:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Max Spevack 2004-11-29 16:16:37 EST
Description of problem:

In the case of certificate verification failing, I get this gunk, when
I should get a nicer message with the same meaning.  This traceback,
for example, was generated because the date on the box was off by
about a month. :-P

[root@vmware4 rhn]# rhn_register --nox
Traceback (innermost last):
  File "/usr/sbin/rhn_register", line 233, in ?
    main()
  File "/usr/sbin/rhn_register", line 214, in main
    tui.main()
  File "/usr/share/rhn/register/tui.py", line 1042, in main
    tui.run()
  File "/usr/share/rhn/register/tui.py", line 986, in run
    win = self.windows[index](self.screen, self)
  File "/usr/share/rhn/register/tui.py", line 45, in __init__
    tb = snack.Textbox(size[0]-10, size[1]-14, rhnreg.welcomeText(), 1)
  File "/usr/share/rhn/register/rhnreg.py", line 588, in welcomeText
    return doCall(s.registration.welcome_message)
  File "/usr/share/rhn/register/rhnreg.py", line 173, in doCall
    ret = apply(method, args)
  File "/usr/lib/python1.5/site-packages/rhn/_internal_xmlrpclib.py",
line 984, in __call__
    return self.__send(self.__name, args)
  File "/usr/share/rhn/register/rhnreg.py", line 409, in _request1
    ret = self._request(methodname, params)
  File "/usr/lib/python1.5/site-packages/rhn/rpclib.py", line 308, in
_request
    verbose=self._verbose
  File "/usr/lib/python1.5/site-packages/rhn/transports.py", line 168,
in request
    headers, fd = req.send_http(host, handler)
  File "/usr/lib/python1.5/site-packages/rhn/transports.py", line 695,
in send_http
    headers=self.headers)
  File "/usr/lib/python1.5/site-packages/rhn/_httplib.py", line 549,
in request
    self._send_request(method, url, body, headers)
  File "/usr/lib/python1.5/site-packages/rhn/_httplib.py", line 565,
in _send_request
    self.putrequest(method, url)
  File "/usr/lib/python1.5/site-packages/rhn/_httplib.py", line 465,
in putrequest
    self.send(str)
  File "/usr/lib/python1.5/site-packages/rhn/_httplib.py", line 419,
in send
    self.sock.send(str)
  File "/usr/lib/python1.5/site-packages/rhn/SSL.py", line 205, in write
    sent = self._connection.send(data)
SSL.Error: [('SSL routines', 'SSL3_GET_SERVER_CERTIFICATE',
'certificate verify failed')]
Comment 1 Mihai Ibanescu 2004-12-03 23:00:18 EST
Deferring, not something I can change in the 360 timeframe.

Note You need to log in before you can comment on or make changes to this bug.